## PhoshGnomeShellDBusShellSkeleton

PhoshGnomeShellDBusShellSkeleton

## Functions

GDBusInterfaceInfo * | phosh_gnome_shell_dbus_shell_interface_info ()
guint | phosh_gnome_shell_dbus_shell_override_properties ()
void | phosh_gnome_shell_dbus_shell_complete_show_monitor_labels ()
void | phosh_gnome_shell_dbus_shell_complete_hide_monitor_labels ()
void | phosh_gnome_shell_dbus_shell_complete_show_osd ()
void | phosh_gnome_shell_dbus_shell_complete_grab_accelerator ()
void | phosh_gnome_shell_dbus_shell_complete_grab_accelerators ()
void | phosh_gnome_shell_dbus_shell_complete_ungrab_accelerator ()
void | phosh_gnome_shell_dbus_shell_complete_ungrab_accelerators ()
void | phosh_gnome_shell_dbus_shell_emit_accelerator_activated ()
void | phosh_gnome_shell_dbus_shell_call_show_monitor_labels ()
gboolean | phosh_gnome_shell_dbus_shell_call_show_monitor_labels_finish ()
gboolean | phosh_gnome_shell_dbus_shell_call_show_monitor_labels_sync ()
void | phosh_gnome_shell_dbus_shell_call_hide_monitor_labels ()
gboolean | phosh_gnome_shell_dbus_shell_call_hide_monitor_labels_finish ()
gboolean | phosh_gnome_shell_dbus_shell_call_hide_monitor_labels_sync ()
void | phosh_gnome_shell_dbus_shell_call_show_osd ()
gboolean | phosh_gnome_shell_dbus_shell_call_show_osd_finish ()
gboolean | phosh_gnome_shell_dbus_shell_call_show_osd_sync ()
void | phosh_gnome_shell_dbus_shell_call_grab_accelerator ()
gboolean | phosh_gnome_shell_dbus_shell_call_grab_accelerator_finish ()
gboolean | phosh_gnome_shell_dbus_shell_call_grab_accelerator_sync ()
void | phosh_gnome_shell_dbus_shell_call_grab_accelerators ()
gboolean | phosh_gnome_shell_dbus_shell_call_grab_accelerators_finish ()
gboolean | phosh_gnome_shell_dbus_shell_call_grab_accelerators_sync ()
void | phosh_gnome_shell_dbus_shell_call_ungrab_accelerator ()
gboolean | phosh_gnome_shell_dbus_shell_call_ungrab_accelerator_finish ()
gboolean | phosh_gnome_shell_dbus_shell_call_ungrab_accelerator_sync ()
void | phosh_gnome_shell_dbus_shell_call_ungrab_accelerators ()
gboolean | phosh_gnome_shell_dbus_shell_call_ungrab_accelerators_finish ()
gboolean | phosh_gnome_shell_dbus_shell_call_ungrab_accelerators_sync ()
void | phosh_gnome_shell_dbus_shell_proxy_new ()
PhoshGnomeShellDBusShell * | phosh_gnome_shell_dbus_shell_proxy_new_finish ()
PhoshGnomeShellDBusShell * | phosh_gnome_shell_dbus_shell_proxy_new_sync ()
void | phosh_gnome_shell_dbus_shell_proxy_new_for_bus ()
PhoshGnomeShellDBusShell * | phosh_gnome_shell_dbus_shell_proxy_new_for_bus_finish ()
PhoshGnomeShellDBusShell * | phosh_gnome_shell_dbus_shell_proxy_new_for_bus_sync ()
PhoshGnomeShellDBusShell * | phosh_gnome_shell_dbus_shell_skeleton_new ()

## Signals

void | accelerator-activated | Run Last
gboolean | handle-grab-accelerator | Run Last
gboolean | handle-grab-accelerators | Run Last
gboolean | handle-hide-monitor-labels | Run Last
gboolean | handle-show-monitor-labels | Run Last
gboolean | handle-show-osd | Run Last
gboolean | handle-ungrab-accelerator | Run Last
gboolean | handle-ungrab-accelerators | Run Last

## Types and Values

struct | PhoshGnomeShellDBusShellIface
struct | PhoshGnomeShellDBusShellProxy
struct | PhoshGnomeShellDBusShellProxyClass
struct | PhoshGnomeShellDBusShellSkeleton
struct | PhoshGnomeShellDBusShellSkeletonClass
| PhoshGnomeShellDBusShell
| PhoshGnomeShellDBusShellProxyPrivate
| PhoshGnomeShellDBusShellSkeletonPrivate

## Object Hierarchy

        GInterface
        ╰── PhoshGnomeShellDBusShell
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── PhoshGnomeShellDBusShellSkeleton
        │       ╰── PhoshGnomeShellManager
        ╰── GDBusProxy
            ╰── PhoshGnomeShellDBusShellProxy

## Prerequisites

PhoshGnomeShellDBusShell requires GObject.

## Implemented Interfaces

PhoshGnomeShellDBusShellProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshGnomeShellDBusShell.

PhoshGnomeShellDBusShellSkeleton implements GDBusInterface and PhoshGnomeShellDBusShell.

## Known Implementations

PhoshGnomeShellDBusShell is implemented by PhoshGnomeShellDBusShellProxy, PhoshGnomeShellDBusShellSkeleton and PhoshGnomeShellManager.

## Description

## Functions

### phosh_gnome_shell_dbus_shell_interface_info ()

    GDBusInterfaceInfo *
    phosh_gnome_shell_dbus_shell_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.Shell D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_gnome_shell_dbus_shell_override_properties ()

    guint
    phosh_gnome_shell_dbus_shell_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshGnomeShellDBusShell interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_gnome_shell_dbus_shell_complete_show_monitor_labels ()

    void
    phosh_gnome_shell_dbus_shell_complete_show_monitor_labels
                                   (PhoshGnomeShellDBusShell *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ShowMonitorLabels()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_gnome_shell_dbus_shell_complete_hide_monitor_labels ()

    void
    phosh_gnome_shell_dbus_shell_complete_hide_monitor_labels
                                   (PhoshGnomeShellDBusShell *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `HideMonitorLabels()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_gnome_shell_dbus_shell_complete_show_osd ()

    void
    phosh_gnome_shell_dbus_shell_complete_show_osd
                                   (PhoshGnomeShellDBusShell *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ShowOSD()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_gnome_shell_dbus_shell_complete_grab_accelerator ()

    void
    phosh_gnome_shell_dbus_shell_complete_grab_accelerator
                                   (PhoshGnomeShellDBusShell *object,
                                    GDBusMethodInvocation *invocation,
                                    guint action);

Helper function used in service implementations to finish handling invocations of the `GrabAccelerator()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. | [transfer full]
action | Parameter to return. |

### phosh_gnome_shell_dbus_shell_complete_grab_accelerators ()

    void
    phosh_gnome_shell_dbus_shell_complete_grab_accelerators
                                   (PhoshGnomeShellDBusShell *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *actions);

Helper function used in service implementations to finish handling invocations of the `GrabAccelerators()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. | [transfer full]
actions | Parameter to return. |

### phosh_gnome_shell_dbus_shell_complete_ungrab_accelerator ()

    void
    phosh_gnome_shell_dbus_shell_complete_ungrab_accelerator
                                   (PhoshGnomeShellDBusShell *object,
                                    GDBusMethodInvocation *invocation,
                                    gboolean success);

Helper function used in service implementations to finish handling invocations of the `UngrabAccelerator()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. | [transfer full]
success | Parameter to return. |

### phosh_gnome_shell_dbus_shell_complete_ungrab_accelerators ()

    void
    phosh_gnome_shell_dbus_shell_complete_ungrab_accelerators
                                   (PhoshGnomeShellDBusShell *object,
                                    GDBusMethodInvocation *invocation,
                                    gboolean success);

Helper function used in service implementations to finish handling invocations of the `UngrabAccelerators()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. | [transfer full]
success | Parameter to return. |

### phosh_gnome_shell_dbus_shell_emit_accelerator_activated ()

    void
    phosh_gnome_shell_dbus_shell_emit_accelerator_activated
                                   (PhoshGnomeShellDBusShell *object,
                                    guint arg_action,
                                    GVariant *arg_parameters);

Emits the "AcceleratorActivated" D-Bus signal.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
arg_action | Argument to pass with the signal. |
arg_parameters | Argument to pass with the signal. |

### phosh_gnome_shell_dbus_shell_call_show_monitor_labels ()

    void
    phosh_gnome_shell_dbus_shell_call_show_monitor_labels
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GVariant *arg_params,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ShowMonitorLabels()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_gnome_shell_dbus_shell_call_show_monitor_labels_finish()` to get the result of the operation.

See `phosh_gnome_shell_dbus_shell_call_show_monitor_labels_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_params | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_gnome_shell_dbus_shell_call_show_monitor_labels_finish ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_show_monitor_labels_finish
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_gnome_shell_dbus_shell_call_show_monitor_labels()`.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_gnome_shell_dbus_shell_call_show_monitor_labels()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_show_monitor_labels_sync ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_show_monitor_labels_sync
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GVariant *arg_params,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ShowMonitorLabels()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_gnome_shell_dbus_shell_call_show_monitor_labels()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_params | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_hide_monitor_labels ()

    void
    phosh_gnome_shell_dbus_shell_call_hide_monitor_labels
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `HideMonitorLabels()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_gnome_shell_dbus_shell_call_hide_monitor_labels_finish()` to get the result of the operation.

See `phosh_gnome_shell_dbus_shell_call_hide_monitor_labels_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_gnome_shell_dbus_shell_call_hide_monitor_labels_finish ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_hide_monitor_labels_finish
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_gnome_shell_dbus_shell_call_hide_monitor_labels()`.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_gnome_shell_dbus_shell_call_hide_monitor_labels()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_hide_monitor_labels_sync ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_hide_monitor_labels_sync
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `HideMonitorLabels()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_gnome_shell_dbus_shell_call_hide_monitor_labels()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_show_osd ()

    void
    phosh_gnome_shell_dbus_shell_call_show_osd
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GVariant *arg_params,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ShowOSD()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_gnome_shell_dbus_shell_call_show_osd_finish()` to get the result of the operation.

See `phosh_gnome_shell_dbus_shell_call_show_osd_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_params | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_gnome_shell_dbus_shell_call_show_osd_finish ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_show_osd_finish
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_gnome_shell_dbus_shell_call_show_osd()`.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_gnome_shell_dbus_shell_call_show_osd()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_show_osd_sync ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_show_osd_sync
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GVariant *arg_params,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ShowOSD()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_gnome_shell_dbus_shell_call_show_osd()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_params | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_grab_accelerator ()

    void
    phosh_gnome_shell_dbus_shell_call_grab_accelerator
                                   (PhoshGnomeShellDBusShell *proxy,
                                    const gchar *arg_accelerator,
                                    guint arg_modeFlags,
                                    guint arg_grabFlags,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GrabAccelerator()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_gnome_shell_dbus_shell_call_grab_accelerator_finish()` to get the result of the operation.

See `phosh_gnome_shell_dbus_shell_call_grab_accelerator_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_accelerator | Argument to pass with the method invocation. |
arg_modeFlags | Argument to pass with the method invocation. |
arg_grabFlags | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_gnome_shell_dbus_shell_call_grab_accelerator_finish ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_grab_accelerator_finish
                                   (PhoshGnomeShellDBusShell *proxy,
                                    guint *out_action,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_gnome_shell_dbus_shell_call_grab_accelerator()`.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
out_action | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_gnome_shell_dbus_shell_call_grab_accelerator()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_grab_accelerator_sync ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_grab_accelerator_sync
                                   (PhoshGnomeShellDBusShell *proxy,
                                    const gchar *arg_accelerator,
                                    guint arg_modeFlags,
                                    guint arg_grabFlags,
                                    guint *out_action,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GrabAccelerator()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_gnome_shell_dbus_shell_call_grab_accelerator()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_accelerator | Argument to pass with the method invocation. |
arg_modeFlags | Argument to pass with the method invocation. |
arg_grabFlags | Argument to pass with the method invocation. |
out_action | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_grab_accelerators ()

    void
    phosh_gnome_shell_dbus_shell_call_grab_accelerators
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GVariant *arg_accelerators,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GrabAccelerators()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_gnome_shell_dbus_shell_call_grab_accelerators_finish()` to get the result of the operation.

See `phosh_gnome_shell_dbus_shell_call_grab_accelerators_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_accelerators | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_gnome_shell_dbus_shell_call_grab_accelerators_finish ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_grab_accelerators_finish
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GVariant **out_actions,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_gnome_shell_dbus_shell_call_grab_accelerators()`.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
out_actions | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_gnome_shell_dbus_shell_call_grab_accelerators()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_grab_accelerators_sync ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_grab_accelerators_sync
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GVariant *arg_accelerators,
                                    GVariant **out_actions,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GrabAccelerators()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_gnome_shell_dbus_shell_call_grab_accelerators()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_accelerators | Argument to pass with the method invocation. |
out_actions | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_ungrab_accelerator ()

    void
    phosh_gnome_shell_dbus_shell_call_ungrab_accelerator
                                   (PhoshGnomeShellDBusShell *proxy,
                                    guint arg_action,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `UngrabAccelerator()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_gnome_shell_dbus_shell_call_ungrab_accelerator_finish()` to get the result of the operation.

See `phosh_gnome_shell_dbus_shell_call_ungrab_accelerator_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_action | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_gnome_shell_dbus_shell_call_ungrab_accelerator_finish ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_ungrab_accelerator_finish
                                   (PhoshGnomeShellDBusShell *proxy,
                                    gboolean *out_success,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_gnome_shell_dbus_shell_call_ungrab_accelerator()`.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
out_success | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_gnome_shell_dbus_shell_call_ungrab_accelerator()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_ungrab_accelerator_sync ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_ungrab_accelerator_sync
                                   (PhoshGnomeShellDBusShell *proxy,
                                    guint arg_action,
                                    gboolean *out_success,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `UngrabAccelerator()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_gnome_shell_dbus_shell_call_ungrab_accelerator()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_action | Argument to pass with the method invocation. |
out_success | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_ungrab_accelerators ()

    void
    phosh_gnome_shell_dbus_shell_call_ungrab_accelerators
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GVariant *arg_action,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `UngrabAccelerators()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_gnome_shell_dbus_shell_call_ungrab_accelerators_finish()` to get the result of the operation.

See `phosh_gnome_shell_dbus_shell_call_ungrab_accelerators_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_action | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_gnome_shell_dbus_shell_call_ungrab_accelerators_finish ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_ungrab_accelerators_finish
                                   (PhoshGnomeShellDBusShell *proxy,
                                    gboolean *out_success,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_gnome_shell_dbus_shell_call_ungrab_accelerators()`.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
out_success | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_gnome_shell_dbus_shell_call_ungrab_accelerators()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_call_ungrab_accelerators_sync ()

    gboolean
    phosh_gnome_shell_dbus_shell_call_ungrab_accelerators_sync
                                   (PhoshGnomeShellDBusShell *proxy,
                                    GVariant *arg_action,
                                    gboolean *out_success,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `UngrabAccelerators()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_gnome_shell_dbus_shell_call_ungrab_accelerators()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshGnomeShellDBusShellProxy. |
arg_action | Argument to pass with the method invocation. |
out_success | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_gnome_shell_dbus_shell_proxy_new ()

    void
    phosh_gnome_shell_dbus_shell_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.Shell. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_gnome_shell_dbus_shell_proxy_new_finish()` to get the result of the operation.

See `phosh_gnome_shell_dbus_shell_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_gnome_shell_dbus_shell_proxy_new_finish ()

    PhoshGnomeShellDBusShell *
    phosh_gnome_shell_dbus_shell_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_gnome_shell_dbus_shell_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_gnome_shell_dbus_shell_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshGnomeShellDBusShellProxy]

### phosh_gnome_shell_dbus_shell_proxy_new_sync ()

    PhoshGnomeShellDBusShell *
    phosh_gnome_shell_dbus_shell_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.Shell. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_gnome_shell_dbus_shell_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshGnomeShellDBusShellProxy]

### phosh_gnome_shell_dbus_shell_proxy_new_for_bus ()

    void
    phosh_gnome_shell_dbus_shell_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_gnome_shell_dbus_shell_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_gnome_shell_dbus_shell_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_gnome_shell_dbus_shell_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_gnome_shell_dbus_shell_proxy_new_for_bus_finish ()

    PhoshGnomeShellDBusShell *
    phosh_gnome_shell_dbus_shell_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_gnome_shell_dbus_shell_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_gnome_shell_dbus_shell_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshGnomeShellDBusShellProxy]

### phosh_gnome_shell_dbus_shell_proxy_new_for_bus_sync ()

    PhoshGnomeShellDBusShell *
    phosh_gnome_shell_dbus_shell_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_gnome_shell_dbus_shell_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_gnome_shell_dbus_shell_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshGnomeShellDBusShellProxy]

### phosh_gnome_shell_dbus_shell_skeleton_new ()

    PhoshGnomeShellDBusShell *
    phosh_gnome_shell_dbus_shell_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.gnome.Shell.

#### Returns

The skeleton object.

[transfer full][type PhoshGnomeShellDBusShellSkeleton]

## Types and Values

### struct PhoshGnomeShellDBusShellIface

    struct PhoshGnomeShellDBusShellIface {
      GTypeInterface parent_iface;

      gboolean (*handle_grab_accelerator) (
        PhoshGnomeShellDBusShell *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_accelerator,
        guint arg_modeFlags,
        guint arg_grabFlags);

      gboolean (*handle_grab_accelerators) (
        PhoshGnomeShellDBusShell *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_accelerators);

      gboolean (*handle_hide_monitor_labels) (
        PhoshGnomeShellDBusShell *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_show_monitor_labels) (
        PhoshGnomeShellDBusShell *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_params);

      gboolean (*handle_show_osd) (
        PhoshGnomeShellDBusShell *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_params);

      gboolean (*handle_ungrab_accelerator) (
        PhoshGnomeShellDBusShell *object,
        GDBusMethodInvocation *invocation,
        guint arg_action);

      gboolean (*handle_ungrab_accelerators) (
        PhoshGnomeShellDBusShell *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_action);

      void (*accelerator_activated) (
        PhoshGnomeShellDBusShell *object,
        guint arg_action,
        GVariant *arg_parameters);
    };

Virtual table for the D-Bus interface org.gnome.Shell.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_grab_accelerator` () | Handler for the “handle-grab-accelerator” signal. |
`handle_grab_accelerators` () | Handler for the “handle-grab-accelerators” signal. |
`handle_hide_monitor_labels` () | Handler for the “handle-hide-monitor-labels” signal. |
`handle_show_monitor_labels` () | Handler for the “handle-show-monitor-labels” signal. |
`handle_show_osd` () | Handler for the “handle-show-osd” signal. |
`handle_ungrab_accelerator` () | Handler for the “handle-ungrab-accelerator” signal. |
`handle_ungrab_accelerators` () | Handler for the “handle-ungrab-accelerators” signal. |
`accelerator_activated` () | Handler for the “accelerator-activated” signal. |

### struct PhoshGnomeShellDBusShellProxy

    struct PhoshGnomeShellDBusShellProxy;

The PhoshGnomeShellDBusShellProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshGnomeShellDBusShellProxyClass

    struct PhoshGnomeShellDBusShellProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshGnomeShellDBusShellProxy.

#### Members

### struct PhoshGnomeShellDBusShellSkeleton

    struct PhoshGnomeShellDBusShellSkeleton;

The PhoshGnomeShellDBusShellSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshGnomeShellDBusShellSkeletonClass

    struct PhoshGnomeShellDBusShellSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshGnomeShellDBusShellSkeleton.

#### Members

### PhoshGnomeShellDBusShell

    typedef struct _PhoshGnomeShellDBusShell PhoshGnomeShellDBusShell;

Abstract interface type for the D-Bus interface org.gnome.Shell.

### PhoshGnomeShellDBusShellProxyPrivate

    typedef struct _PhoshGnomeShellDBusShellProxyPrivate PhoshGnomeShellDBusShellProxyPrivate;

### PhoshGnomeShellDBusShellSkeletonPrivate

    typedef struct _PhoshGnomeShellDBusShellSkeletonPrivate PhoshGnomeShellDBusShellSkeletonPrivate;

## Signal Details

### The `“accelerator-activated”` signal

    void
    user_function (PhoshGnomeShellDBusShell *object,
                   guint                     arg_action,
                   GVariant                 *arg_parameters,
                   gpointer                  user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "AcceleratorActivated" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
arg_action | Argument. |
arg_parameters | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“handle-grab-accelerator”` signal

    gboolean
    user_function (PhoshGnomeShellDBusShell *object,
                   GDBusMethodInvocation    *invocation,
                   char                     *arg_accelerator,
                   guint                     arg_modeFlags,
                   guint                     arg_grabFlags,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `GrabAccelerator()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_gnome_shell_dbus_shell_complete_grab_accelerator()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. |
arg_accelerator | Argument passed by remote caller. |
arg_modeFlags | Argument passed by remote caller. |
arg_grabFlags | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-grab-accelerators”` signal

    gboolean
    user_function (PhoshGnomeShellDBusShell *object,
                   GDBusMethodInvocation    *invocation,
                   GVariant                 *arg_accelerators,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `GrabAccelerators()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_gnome_shell_dbus_shell_complete_grab_accelerators()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. |
arg_accelerators | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-hide-monitor-labels”` signal

    gboolean
    user_function (PhoshGnomeShellDBusShell *object,
                   GDBusMethodInvocation    *invocation,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `HideMonitorLabels()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_gnome_shell_dbus_shell_complete_hide_monitor_labels()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-show-monitor-labels”` signal

    gboolean
    user_function (PhoshGnomeShellDBusShell *object,
                   GDBusMethodInvocation    *invocation,
                   GVariant                 *arg_params,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `ShowMonitorLabels()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_gnome_shell_dbus_shell_complete_show_monitor_labels()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. |
arg_params | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-show-osd”` signal

    gboolean
    user_function (PhoshGnomeShellDBusShell *object,
                   GDBusMethodInvocation    *invocation,
                   GVariant                 *arg_params,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `ShowOSD()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_gnome_shell_dbus_shell_complete_show_osd()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. |
arg_params | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-ungrab-accelerator”` signal

    gboolean
    user_function (PhoshGnomeShellDBusShell *object,
                   GDBusMethodInvocation    *invocation,
                   guint                     arg_action,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `UngrabAccelerator()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_gnome_shell_dbus_shell_complete_ungrab_accelerator()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. |
arg_action | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-ungrab-accelerators”` signal

    gboolean
    user_function (PhoshGnomeShellDBusShell *object,
                   GDBusMethodInvocation    *invocation,
                   GVariant                 *arg_action,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `UngrabAccelerators()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_gnome_shell_dbus_shell_complete_ungrab_accelerators()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshGnomeShellDBusShell. |
invocation | A GDBusMethodInvocation. |
arg_action | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last